Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.svg
Class PDFDocumentGraphics2DConfigurator

    java.lang.Object
      org.apache.fop.svg.PDFDocumentGraphics2DConfigurator

    public class PDFDocumentGraphics2DConfigurator

extends java.lang.Object

Configurator class for PDFDocumentGraphics2D.

Constructor Summary
`PDFDocumentGraphics2DConfigurator()`

Method Summary
`void` | `configure(PDFDocumentGraphics2D graphics, org.apache.avalon.framework.configuration.Configuration cfg, boolean useComplexScriptFeatures)` Configures a PDFDocumentGraphics2D instance using an Avalon Configuration object.
`static FontInfo` | `createFontInfo(org.apache.avalon.framework.configuration.Configuration cfg, boolean useComplexScriptFeatures)` Creates the `FontInfo` instance for the given configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFDocumentGraphics2DConfigurator

    public PDFDocumentGraphics2DConfigurator()

Method Detail

### configure

    public void configure(PDFDocumentGraphics2D graphics,
                          org.apache.avalon.framework.configuration.Configuration cfg,
                          boolean useComplexScriptFeatures)
                   throws org.apache.avalon.framework.configuration.ConfigurationException

  Configures a PDFDocumentGraphics2D instance using an Avalon Configuration object.

  Parameters:
    `graphics` - the PDFDocumentGraphics2D instance
    `cfg` - the configuration
    `useComplexScriptFeatures` - true if complex script features enabled
  Throws:
    `org.apache.avalon.framework.configuration.ConfigurationException` - if an error occurs while configuring the object

### createFontInfo

    public static FontInfo createFontInfo(org.apache.avalon.framework.configuration.Configuration cfg,
                                          boolean useComplexScriptFeatures)
                                   throws FOPException

  Creates the `FontInfo` instance for the given configuration.

  Parameters:
    `cfg` - the configuration
    `useComplexScriptFeatures` - true if complex script features enabled
  Returns:
    the font collection
  Throws:
    `FOPException` - if an error occurs while setting up the fonts

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.